function [TP, TN, FP, FN, Dice] = GetScore(output_model, output_reference)
% Funkce vypočítá Dice skore jednoho objektu.
%
% Vstup: output_model - binární vektor jako výsledek automatické extrakce
%        output_references - binární vektor jako referenční vektro extrakce
%
% Výstup: TP - správně pozitivní
%         TP - správně nechativní
%         FP - nesprávně pozitivní
%         FN - nesprávně negativní
%         Dice - Dice skore objektu
%
%% Dice
output_sum = output_model + output_reference;
TP = length( find( output_sum == 2) );
TN = length( find( output_sum == 0) );

outpute_div = output_reference - output_model;
FP = length( find( outpute_div == -1) );
FN = length( find( outpute_div == 1) );

Dice = 2 * TP / (2 * TP + FP + FN);
% Sensitivity = TP / (TP + FN);
% Specitivity = TN / (TN + FP);
end
